%define anolis_release 1

Name:	jitterentropy
Version:    3.6.0
Release:	%{anolis_release}%{?dist}
Summary:	Library implementing the jitter entropy source

License:	BSD-3-Clause or GPLv2
URL:		https://github.com/smuellerDD/jitterentropy-library
Source0:	https://github.com/smuellerDD/jitterentropy-library/archive/refs/tags/v%{version}.tar.gz#/%{name}-library-%{version}.tar.gz


BuildRequires: gcc
BuildRequires: make

Patch1001: 1001-remove-s-to-fix-build-failed-with-no-debuginfo.patch

%description
Library implementing the CPU jitter entropy source

%package devel
Summary: Development headers for jitterentropy library
Requires: %{name} = %{version}-%{release}

%description devel
Development headers and libraries for jitterentropy

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p0 -n %{name}-library-%{version}

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}/usr/include/
%make_install PREFIX=/usr LIBDIR=%{_lib}

%generate_compatibility_deps

%files
%license LICENSE LICENSE.bsd LICENSE.gplv2
%{_libdir}/libjitterentropy.so.3*
%dir %{abidir}
%{abidir}/libjitterentropy.dump

%files devel
%{_includedir}/*
%{_libdir}/libjitterentropy.so
%{_mandir}/man3/*

%files doc
%doc README.md CHANGES.md

%changelog
* Fri Feb 21 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 3.6.0-1
- update to 3.6.0 from 3.4.1
- rename for pass ci test
- Migrated to SPDX license

* Wed Mar 15 2023 happy_orange <songnannan@linux.alibaba.com> - 3.4.1-1
- update to 3.4.1

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.4.0-1
- init from upstream
